package com.neusoft.smart.pos.inventory.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class InventoryGoodsTag implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    private Integer id;
    
    private String name;
    
    private Integer industry;
    
    private Integer orgId;
    
    private Integer shopId;
    
    private Integer deleted;
    
    private Date updatedTime;
    
    private Date createdTime;
    
    private Integer type;
    
    private Integer priority;
    
    public Integer getId() {
        return id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }
    
    public Integer getIndustry() {
        return industry;
    }
    
    public void setIndustry(Integer industry) {
        this.industry = industry;
    }
    
    public Integer getOrgId() {
        return orgId;
    }
    
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
    
    public Integer getShopId() {
        return shopId;
    }
    
    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }
    
    public Integer getDeleted() {
        return deleted;
    }
    
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }
    
    public Date getUpdatedTime() {
        return updatedTime;
    }
    
    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
    
    public Date getCreatedTime() {
        return createdTime;
    }
    
    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
    
    public Integer getType() {
        return type;
    }
    
    public void setType(Integer type) {
        this.type = type;
    }
    
    public Integer getPriority() {
        return priority;
    }
    
    public void setPriority(Integer priority) {
        this.priority = priority;
    }
}